Skip to main content
GET
/
clients
/
me
/
transactions
Get transactions (deprecated)
curl --request GET \
  --url https://api.portalhq.io/api/v3/clients/me/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "transactions": [
      {
        "type": "transaction",
        "hash": "<string>",
        "from": "<string>",
        "to": "<string>",
        "value": "<string>",
        "blockNumber": "<string>",
        "blockTimestamp": 123,
        "status": "<string>",
        "chainId": "<string>",
        "asset": "<string>",
        "tokenAddress": "<string>",
        "tokenDecimals": 123,
        "userOpHash": "<string>",
        "entryPoint": "<string>",
        "actualGasCost": "<string>",
        "actualGasUsed": "<string>"
      }
    ]
  },
  "metadata": {
    "address": "<string>",
    "chainId": "<string>",
    "clientId": "<string>",
    "limit": 123,
    "offset": 123,
    "count": 123
  }
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Query Parameters

chainId
string
required

The chain ID in CAIP-2 format (e.g. eip155:1).

limit
integer

Maximum number of results to return.

offset
integer

Number of results to skip.

order
string

Sort order.

Response

Transactions retrieved successfully

Response format varies by chain:

  • Solana: transactions are SolanaTransactionDetails objects (legacy format with signature, blockTime, tokenMint, and nested transactionDetails).
  • All other chains: transactions are TransactionHistoryItem objects (unified format with hash, from, to, value, blockNumber, blockTimestamp, status, chainId). Solana will be migrated to the unified format in a future release.
data
object
metadata
object